Package twisted :: Package coil :: Module coil

[show private | hide private]
[frames | no frames]

## Module twisted.coil.coil

Twisted COIL: COnfiguration ILlumination.

An end-user direct-manipulation interface to Twisted, accessible through the web.

This is a work in progress.

Classes
`CollectionWrapper` | Wrap an existing roots.Collection as a IConfigCollection.
`ConfigCollection` | A default implementation of IConfigCollection.
`Configurator` | A configurator object implementing default behaviour.
`DispenserStorage` | A mini-database of dispensers.
`StaticCollection` | A roots.Locked that implement IStaticCollection.

Exceptions
`InvalidConfiguration` | I am is raised in the case of an invalid configuration.

Function Summary
| ``createConfigurable`(configurableClass, container, name)` Instantiate a configurable.
| ``getCollection`(obj)` Get an object implementing ICollection for obj.
| ``getConfigurator`(obj)` Get an object implement IConfigurator for obj.
| ``getConfiguratorClass`(klass)` Return an IConfigurator class for given class.
| ``getConfiguratorsForTree`(root)` Return iterator of Configurators for a config tree.
| ``getImplementors`(interface)` Return list of registered classes that implement an interface.
| ``hasFactory`(configurableClass)` Check if factory is available for this class.
| ``registerConfigurator`(configuratorClass, factory)` Register a configurator for a class.
| ``registerFactory`(configurableClass, factory)` Register a factory for a class.

Variable Summary
`dict` | `factories`
`MetaInterface` | `ICollection`
`MetaInterface` | `IConfigCollection`
`MetaInterface` | `IConfigurator`
`dict` | `interfaceImplementors`
`MetaInterface` | `IStaticCollection`

Function Details

### createConfigurable(configurableClass, container, name)

Instantiate a configurable.

First, I will find the factory for class configurableClass. Then I will call it, with 'container' and 'name' as arguments.

### getCollection(obj)

Get an object implementing ICollection for obj.

### getConfigurator(obj)

Get an object implement IConfigurator for obj.

### getConfiguratorClass(klass)

Return an IConfigurator class for given class.

### getConfiguratorsForTree(root)

Return iterator of Configurators for a config tree.

This really ought to be implemented as a generator.

### getImplementors(interface)

Return list of registered classes that implement an interface.

### hasFactory(configurableClass)

Check if factory is available for this class.

### registerConfigurator(configuratorClass, factory=None)

Register a configurator for a class.

### registerFactory(configurableClass, factory)

Register a factory for a class.

Variable Details

### factories

  Type:
    `dict`
  Value:

        {<class twisted.protocols.ftp.FTPFactory at 0x8381ffc>: <function fact\
        ory at 0x838cebc>,
         <class twisted.protocols.socks.SOCKSv4Factory at 0x83b560c>: <functio\
        n factory at 0x85122d4>,
         <class twisted.mail.maildir.MaildirDirdbmDomain at 0x8414a1c>: <funct\
        ion maildirDbmFactory at 0x83b676c>,
         <class twisted.manhole.service.Service at 0x848717c>: <function manho\
        leFactory at 0x83b4294>,
        ...

### ICollection

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.coil.coil.ICollection'>

### IConfigCollection

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.coil.coil.IConfigCollection'>

### IConfigurator

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.coil.coil.IConfigurator'>

### interfaceImplementors

  Type:
    `dict`
  Value:

        {<class 'twisted.coil.coil.ICollection'>: [<class twisted.web.test.Tes\
        t at 0x84caeb4>,
                                                   <class twisted.web.vhost.Na\
        meVirtualHost at 0x84fcd74>,
                                                   <class twisted.web.proxy.Re\
        verseProxyResource at 0x84981b4>],
         <class 'twisted.internet.interfaces.IProtocolFactory'>: [<class twist\
        ed.protocols.ftp.FTPFactory at 0x8381ffc>,
        ...

### IStaticCollection

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.coil.coil.IStaticCollection'>

Generated by Epydoc 1.1 on Thu May 8 13:18:17 2003 | http://epydoc.sf.net